﻿using SqlSugar;
using SqlSugarDb.MySqlSugarClient;

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BizService
{
   
        public class BaseService<TEntity> :SimpleClient<TEntity>, IBaseService<TEntity> where TEntity : class, new()
        {
            public BaseService(ISqlSugarClient context = null) : base(context)//注意这里要有默认值等于null
            {
                base.Context = DbSqlSugarClient.GetInstance();
                //创建库,创建表执行一次就可以注释
                //base.Context.DbMaintenance.CreateDatabase();
                //base.Context.CodeFirst.InitTables(
                //    typeof(Product)
                //    );
            }

        public bool Add(TEntity entity)
        {
            return base.Insert(entity);
        }
        public bool Delete(int id)
        {
            return base.DeleteById(id);
        }
        public bool Edit(TEntity entity)
        {
            return base.Update(entity);
        }
        public TEntity Find(int id)
        {
            return base.GetById(id);
        }
        public List<TEntity> QueryList()
        {
            return base.GetList();
        }


    }
}
