﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Model.Dto
{
    public class BizTestRecordDtlDto
    {
        public long RecordDtlId { get; set; }

        /// <summary>
        /// Desc:测试记录表主键ID
        /// Default:
        /// Nullable:True
        /// </summary>           
        public long? RecordId { get; set; }

        /// <summary>
        /// Desc:测试方案明细主键ID
        /// Default:
        /// Nullable:False
        /// </summary>           
        public long SchemeDtlId { get; set; }

        /// <summary>
        /// Desc:开始测试时间
        /// Default:
        /// Nullable:True
        /// </summary>           
        public DateTime? StartTestTime { get; set; }

        /// <summary>
        /// Desc:测试完成时间
        /// Default:
        /// Nullable:True
        /// </summary>           
        public DateTime? FinishTestTime { get; set; }
        /// <summary>
        /// Desc:前置项  json
        /// Default:
        /// Nullable:True
        /// </summary>
        public object   PreconditionFinal { get; set; }

        /// <summary>
        /// Desc:测试项输入项结果 json
        /// Default:
        /// Nullable:True
        /// </summary>
    
        public object ActionFinal { get; set; }


        /// <summary>
        /// Desc:结果项结果 json
        /// Default:
        /// Nullable:True
        /// </summary>

        public object JudgementResultFinal { get; set; }


        /// <summary>
        /// 前置项测试项  合格 不合格
        /// </summary>
        public string PreconditionResult { get; set; }

        /// <summary>
        /// Desc:测试项输入项结果 合格 不合格
        /// Default:
        /// Nullable:True
        /// </summary>

        public string ActionResult { get; set; }
        /// <summary>
        /// 结果项结果 
        /// </summary>
        public string JudgementResult { get; set; }

        /// <summary>
        /// 测试模式
        /// </summary>
        public string TestMode { get; set; }
        /// <summary>
        /// Desc:测试项结果。0：NO 不通过；1：YES 通过
        /// Default:
        /// Nullable:True
        /// </summary>           
        public int? TestResult { get; set; }

        /// <summary>
        /// Desc:测试记录明细状态。0：未测试。99：已测试。
        /// Default:
        /// Nullable:True
        /// </summary>           
        public int? Status { get; set; }

        /// <summary>
        /// Desc:创建者
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string CreateBy { get; set; }

        /// <summary>
        /// Desc:创建时间
        /// Default:
        /// Nullable:True
        /// </summary>           
        public DateTime? CreateTime { get; set; }

        /// <summary>
        /// Desc:更新者
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string UpdateBy { get; set; }

        /// <summary>
        /// Desc:更新时间
        /// Default:
        /// Nullable:True
        /// </summary>           
        public DateTime? UpdateTime { get; set; }

        /// <summary>
        /// Desc:备注
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string Remark { get; set; }
    }
}
